const express = require('express');
const router = express.Router();

// Frontend routes
router.use('/', require('./frontend'));

// Auth routes
router.use('/', require('./auth'));

// Cart and Checkout routes
router.use('/', require('./cart'));

// Customer routes
router.use('/account', require('./customer'));

// Admin routes
router.use('/admin', require('./admin'));

module.exports = router;
